diff --git a/Makefile.in b/Makefile.in
index ac552fe..fab1a87 100755
--- a/Makefile.in
+++ b/Makefile.in
@@ -30,8 +30,7 @@ lapacklib : FORCE
 
 cciflib : FORCE
 	if test -n "$(ccifdir)"; then cd $(ccifdir); \
-	   $(MAKE) $(MFLAGS) $(MVARS); else true; fi; \
-           $(MAKE) install
+	   $(MAKE) $(MFLAGS) $(MVARS); else true; fi
 
 cctbx: FORCE
 	if test -n "$(cctbxdir)"; then cd $(top_srcdir)/$(cctbxdir); \
@@ -40,8 +39,7 @@ cctbx: FORCE
 libdir : FORCE lapacklib cciflib libccp4 clipper ssm diffractionImg
 
 libccp4: FORCE
-	cd lib/src; $(MAKE) $(MFLAGS) $(MVARS) ; \
-	$(MAKE) install
+	cd lib/src; $(MAKE) $(MFLAGS) $(MVARS)
 
 share : FORCE
 	cd share; $(MAKE) $(MFLAGS) $(MVARS)
@@ -51,18 +49,15 @@ ccp4i : FORCE
 
 clipper: FORCE fftw
 	if test -n "$(clipperdir)"; then cd $(top_srcdir)/lib/clipper/clipper; \
-	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi ; \
-	$(MAKE) install
+	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi
 
 diffractionImg: 
 	if test -n "$(diffimdir)"; then cd $(top_srcdir)/$(diffimdir); \
-	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi ; \
-        $(MAKE) install
+	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi
 
 ssm: 
 	if test -n "$(ssmdir)"; then cd $(top_srcdir)/$(ssmdir); \
-	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi ; \
-	$(MAKE) install
+	$(MAKE) -i $(MFLAGS) $(MVARS); else true; fi
 
 fftw: FORCE
 	if test -n "$(fftwdir)"; then cd $(top_srcdir)/lib/fftw; \
@@ -79,7 +74,7 @@ unsupported :  FORCE libdir
 	   $(MAKE) $(MFLAGS) $(MVARS); else true; fi
 
 datadir : FORCE libdir
-	cd lib/data; $(MAKE) $(MFLAGS) $(MVARS)
+	cd lib/data; $(MAKE) $(MFLAGS) $(MVARS) font84.dat
 
 xwindir : FORCE libdir
 	if test -f x-windows/Makefile; then cd x-windows; \
diff --git a/lib/ccif/Makefile.in b/lib/ccif/Makefile.in
index 975f1d9..75eda9f 100755
--- a/lib/ccif/Makefile.in
+++ b/lib/ccif/Makefile.in
@@ -371,11 +371,11 @@ condition.h condition_list.h: $(srcdir)/condition.list $(srcdir)/condition.awk
 #
 
 install : all
-	$(INSTALL_DATA) `pwd`/$L $(libdir)/$L
-	$(INSTALL_DATA) `pwd`/$(CIFMMLIB) $(libdir)/$(CIFMMLIB)
-	$(RANLIB) $(libdir)/$L
+	$(RANLIB) $L
+	$(INSTALL_DATA) `pwd`/$L $(DESTDIR)/$(libdir)/$L
+	$(INSTALL_DATA) `pwd`/$(CIFMMLIB) $(DESTDIR)$(libdir)/$(CIFMMLIB)
 	if (test -f $(SHARED_LIB_NAME)); then \
-	  $(INSTALL_DATA) `pwd`/$(SHARED_LIB_NAME) $(libdir)/$(SHARED_LIB_NAME); \
+	  $(INSTALL_DATA) `pwd`/$(SHARED_LIB_NAME) $(DESTDIR)/$(libdir)/$(SHARED_LIB_NAME); \
         fi
 
 uninstall :
diff --git a/lib/data/Makefile.in b/lib/data/Makefile.in
index cc25c5c..017502d 100755
--- a/lib/data/Makefile.in
+++ b/lib/data/Makefile.in
@@ -30,9 +30,9 @@ font84.dat : fontpack $(srcdir)/font84.ascii
 
 install : all 
 	-rm -f font84.dat
-	test -f font84.ascii || $(LNS) $(srcdir)/font84.ascii .
-	./fontpack
-	$(INSTALL) `pwd`/font84.dat $(libdir)/font84.dat 
+	test -f font84.ascii || $(LNS) $(DESTDIR)/$(srcdir)/font84.ascii .
+	LD_LIBRARY_PATH="../src:../ccif" ./fontpack
+	$(INSTALL) `pwd`/font84.dat $(DESTDIR)/$(libdir)/font84.dat 
 
 uninstall :
 	-rm -f $(libdir)/font84.dat
diff --git a/lib/src/Makefile.in b/lib/src/Makefile.in
index b32dd1e..6aa107d 100755
--- a/lib/src/Makefile.in
+++ b/lib/src/Makefile.in
@@ -685,7 +685,7 @@ testlib : $(srcdir)/testlib.f  $(LF)
 #
 
 install-ccp4HEADERS: $(ccp4_HEADERS)
-	if test ! -d $(DESTDIR)$(includedir)/ccp4; then mkdir $(DESTDIR)$(includedir)/ccp4; fi
+	if test ! -d $(DESTDIR)$(includedir)/ccp4; then mkdir -p $(DESTDIR)$(includedir)/ccp4; fi
 	@list='$(ccp4_HEADERS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f="`echo $$p | sed -e 's|^.*/||'`"; \
@@ -716,11 +716,11 @@ uninstall-mmdbHEADERS:
 	  rm -f $(DESTDIR)$(includedir)/mmdb/$$f; \
 	done
 
-install : all install-ccp4HEADERS install-mmdbHEADERS
-	$(INSTALL_DATA) `pwd`/$(LC) $(libdir)/$(LC)
-	$(INSTALL_DATA) `pwd`/$(LF) $(libdir)/$(LF)
-	$(RANLIB) $(libdir)/$(LC)
-	$(RANLIB) $(libdir)/$(LF)
+install : all install-ccp4HEADERS
+	$(RANLIB) $(LC)
+	$(RANLIB) $(LF)
+	$(INSTALL_DATA) `pwd`/$(LC) $(DESTDIR)/$(libdir)/$(LC)
+	$(INSTALL_DATA) `pwd`/$(LF) $(DESTDIR)/$(libdir)/$(LF)
 	$(SHARE_INST)
 
 uninstall : uninstall-ccp4HEADERS uninstall-mmdbHEADERS
diff --git a/lib/ssm/Makefile.in b/lib/ssm/Makefile.in
index 27d3aa2..0a14fe5 100755
--- a/lib/ssm/Makefile.in
+++ b/lib/ssm/Makefile.in
@@ -375,12 +375,12 @@ distclean-libtool:
 uninstall-info-am:
 install-library_includeHEADERS: $(library_include_HEADERS)
 	@$(NORMAL_INSTALL)
-	test -z "$(library_includedir)" || $(mkdir_p) "$(DESTDIR)$(library_includedir)"
+	test -z "$(library_includedir)" || $(mkdir_p) "$(DESTDIR)$(library_includedir)/ssm"
 	@list='$(library_include_HEADERS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
-	  echo " $(library_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(library_includedir)/$$f'"; \
-	  $(library_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(library_includedir)/$$f"; \
+	  echo " $(library_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(library_includedir)/ssm/$$f'"; \
+	  $(library_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(library_includedir)/ssm/$$f"; \
 	done
 
 uninstall-library_includeHEADERS:
